Shippoaccounts 4 endpoints

GET /shippo-accounts

Returns a list of Shippo Accounts objects

operationId: ShippoAccounts_listAll

Parameters

Name In Required Type Description
page query optional integer

The page number you want to select

results query optional integer

The number of results to return per page (max 100)

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

200
GET /shippo-accounts
POST /shippo-accounts

Creates a Shippo Account object

operationId: ShippoAccounts_createNewAccount

Parameters

Name In Required Type Description
SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Request Body

application/json
schema ShippoAccountUpdateRequest
Property Type Required
email string required
last_name string required
first_name string required
company_name string required

Responses

200
POST /shippo-accounts
GET /shippo-accounts/{ShippoAccountId}

Returns a Shippo Account using an object ID

operationId: ShippoAccounts_getAccountById

Parameters

Name In Required Type Description
ShippoAccountId path optional string

Object ID of the ShippoAccount

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

200
GET /shippo-accounts/{ShippoAccountId}
PUT /shippo-accounts/{ShippoAccountId}

Updates a Shippo Account object

operationId: ShippoAccounts_updateAccountObject

Parameters

Name In Required Type Description
ShippoAccountId path optional string

Object ID of the ShippoAccount

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Request Body

application/json
schema ShippoAccountUpdateRequest
Property Type Required
email string required
last_name string required
first_name string required
company_name string required

Responses

200
PUT /shippo-accounts/{ShippoAccountId}

Trackingstatus 2 endpoints

POST /tracks

Registers a webhook that will send HTTP notifications to you when the status of your tracked package changes. For more details on creating a webhook, see our guides on Webhooks and Tracking.

operationId: TrackingStatus_registerWebhook

Parameters

Name In Required Type Description
SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Request Body

application/json
schema TracksRequest
Property Type Required
carrier string required
metadata string optional
tracking_number string required

Responses

201
400
POST /tracks
GET /tracks/{Carrier}/{TrackingNumber}

Returns the tracking status of a shipment using a carrier name and a tracking number.

operationId: TrackingStatus_getStatus

Parameters

Name In Required Type Description
TrackingNumber path required string

Tracking number

Carrier path required string

Name of the carrier

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

200
400
GET /tracks/{Carrier}/{TrackingNumber}

Transactions 3 endpoints

GET /transactions

Returns a list of all transaction objects.

operationId: Transactions_listAllShippingLabels

Parameters

Name In Required Type Description
rate query optional string

Filter by rate ID

object_status query optional

Filter by object status

tracking_status query optional

Filter by tracking status

page query optional integer

The page number you want to select

results query optional integer

The number of results to return per page (max 100)

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

200
GET /transactions
POST /transactions

Creates a new transaction object and purchases the shipping label using a rate object that has previously been created.
OR
Creates a new transaction object and purchases the shipping label instantly using shipment details, an existing carrier account, and an existing service level token.

operationId: Transactions_createShippingLabel

Parameters

Name In Required Type Description
SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Request Body

Examples.

application/json
schema TransactionsCreateShippingLabelRequest

Responses

201
POST /transactions
GET /transactions/{TransactionId}

Returns an existing transaction using an object ID.

operationId: Transactions_getShippingLabel

Parameters

Name In Required Type Description
TransactionId path required string

Object ID of the transaction to update

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

200
GET /transactions/{TransactionId}

Userparceltemplates 5 endpoints

GET /user-parcel-templates

Returns a list all of all user parcel template objects.

operationId: UserParcelTemplates_listAll

Parameters

Name In Required Type Description
SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

200
GET /user-parcel-templates
POST /user-parcel-templates

Creates a new user parcel template.
You can choose to create a
parcel template using a preset carrier template as a starting point, or
you can create an entirely custom one. To use a preset carrier template,
pass in a unique template token from this list
plus the weight fields (weight and weight_unit). Otherwise, omit
the template field and pass the other fields, for the weight, length, height,
and depth, as well as their units.”

operationId: UserParcelTemplates_createNewTemplate

Parameters

Name In Required Type Description
SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Request Body

application/json
schema UserParcelTemplateCreateRequest

Responses

200
POST /user-parcel-templates
DELETE /user-parcel-templates/{UserParcelTemplateObjectId}

Deletes a user parcel template using an object ID.

operationId: UserParcelTemplates_deleteById

Parameters

Name In Required Type Description
UserParcelTemplateObjectId path required string

Object ID of the user parcel template

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

204

The user parcel template was successfully deleted.

DELETE /user-parcel-templates/{UserParcelTemplateObjectId}
GET /user-parcel-templates/{UserParcelTemplateObjectId}

Returns the parcel template information for a specific user parcel
template, identified by the object ID.

operationId: UserParcelTemplates_getTemplateById

Parameters

Name In Required Type Description
UserParcelTemplateObjectId path required string

Object ID of the user parcel template

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Responses

200
GET /user-parcel-templates/{UserParcelTemplateObjectId}
PUT /user-parcel-templates/{UserParcelTemplateObjectId}

Updates an existing user parcel template.

operationId: UserParcelTemplates_updateTemplate

Parameters

Name In Required Type Description
UserParcelTemplateObjectId path required string

Object ID of the user parcel template

SHIPPO-API-VERSION header optional string

String used to pick a non-default API version to use

Request Body

application/json
schema UserParcelTemplateUpdateRequest
Property Type Required
name string required
width string required
height string required
length string required
weight string optional
weight_unit string optional
distance_unit string required

Responses

200
PUT /user-parcel-templates/{UserParcelTemplateObjectId}